---
updatedAt: 2026-04-21T09:28:51.000Z
agentTools:
  projectIndex: https://developers.flipdish.com/llms.txt
---

# Get brand by ID

⚠️ **Beta Notice:** This endpoint is currently in beta and may change or be deprecated at any time without notice.

Retrieve details of a brand by its ID under a specific org

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Org Management APIs",
    "version": "1.0.0",
    "license": {
      "name": "ISC"
    },
    "description": "Specification JSONs: [v2](/api-spec/v2), [v3](/api-spec/v3).",
    "contact": {
      "name": "Support Team",
      "email": "help@flipdish.com",
      "url": "https://flipdish.com/support"
    }
  },
  "servers": [
    {
      "url": "https://api.flipdish.co",
      "description": "Flipdish base API"
    }
  ],
  "tags": [
    {
      "name": "Brands",
      "description": "Operations related to brands"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/orgManagement/orgs/{orgId}/brands/{brandId}": {
      "get": {
        "summary": "Get brand by ID",
        "description": "⚠️ **Beta Notice:** This endpoint is currently in beta and may change or be deprecated at any time without notice.\n\nRetrieve details of a brand by its ID under a specific org",
        "operationId": "getBrandById",
        "responses": {
          "200": {
            "description": "Brand details",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/ApiResponse"
                    },
                    {
                      "properties": {
                        "data": {
                          "$ref": "#/components/schemas/Brand"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Indicates that the request body is invalid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Indicates that the brand was not found"
          }
        },
        "tags": [
          "Brands"
        ],
        "parameters": [
          {
            "name": "orgId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the org"
          },
          {
            "name": "brandId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of the brand to retrieve"
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token authentication"
      }
    },
    "schemas": {
      "ApiResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "description": "The response data"
          }
        }
      },
      "Brand": {
        "type": "object",
        "properties": {
          "brandId": {
            "type": "string",
            "example": "br123"
          },
          "name": {
            "type": "string",
            "example": "Example Brand"
          },
          "countryCode": {
            "type": "string",
            "description": "ISO 3166-1 alpha-2 country code (e.g., GB, IE, US, etc.)",
            "pattern": "^[A-Z]{2}$",
            "example": "GB"
          },
          "logoImageUrl": {
            "type": "string",
            "example": "http://example.com/brand-logo.png"
          },
          "coverPhotoUrl": {
            "type": "string",
            "example": "http://example.com/brand-cover.png"
          },
          "isArchived": {
            "type": "boolean",
            "example": false,
            "description": "Indicates whether the brand is archived (true if not enabled, false if enabled)"
          }
        },
        "required": [
          "name",
          "countryCode"
        ]
      },
      "ErrorResponse": {
        "description": "An error response.",
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "type": "string",
                "example": "An error occurred due to x."
              },
              "code": {
                "type": "string",
                "example": "invalid_request"
              }
            }
          }
        }
      }
    }
  }
}
```